fields(1)

NAME
fields - list fields in a table

SYNOPSIS
fields host port socket user passwd table
fields [-config configfile] -id id table

DESCRIPTION
The fields command returns a comma seperated list of the fields in the table specified by the table argument to standard output.

OPTIONS

host
    hostname of the machine running the listener daemon

port
    port number the listener daemon is listening on, for local or remote connections

socket
    socket the listener daemon is listening on, for local connections

user
    SQL Relay user name (as per config file)

passwd
    SQL Relay password (as per config file)

-config configfile
    config file to use (default /etc/sqlrelay/sqlrelay.conf)

-id id
    instance to use (as per config file)

table
    table to be described

EXAMPLES

fields "" "" /tmp/examplesocket fred secret tbl
    Connect to the SQL Relay listener daemon running on the local machine, with socket /tmp/examplesocket, as user fred, with password secret, and return the fields in table tbl.

fields dbsvr 9000 "" fred secret tbl
    Connect to the SQL Relay listener daemon running on the remote machine dbsvr, on port 9000, as user fred, with password secret, and return the fields in table tbl.

fields -id example tbl
    Connect to the SQL Relay listener daemon for instance example (as defined in /etc/sqlrelay/sqlrelay.config), and return the fields in table tbl.

SEE ALSO
query(1), sqlrsh(1), sqlr-cachemanager(8), sqlr-connection(8), sqlr-listener(8), sqlr-scaler(8), sqlr-start(8), sqlr-stop(8), and the documentation in /usr/share/doc/sqlrelay.

AUTHORS
This manual page was written by Andreas Tille <tille@debian.org> and Florian M. Weps <fweps@pop.agri.ch>, for the Debian GNU/Linux system (but may be used by others).